Subject: Re: bug#49596: 28.0.50; shadowfile.el: `shadow-define-literal-group' is broken

From: Michael Albinus <[email-masked]>
Date: Sun, 18 Jul 2021 16:01:18 +0200

Michael Albinus <[email-masked]> writes:

Hi Max,

>> The following command:
>>
>> M-x shadow-define-literal-group RET
>> /ssh:user@host|ssh:root@otherhost: RET
>> ~/foo.el RET RET
>>
>> produces the wrong value of `shadow-literal-groups':
>>
>> ("//ssh:user@host|ssh:root@otherhost::~/foo.el")
>>
>> This is incorrect tramp file name, it has an extra //...:: wrapping
>> around connection details.
>
> Thanks for the report, I confirm the problem. Surprisingly, it isn't
> easy to fix. I'll work on this.

Should be fixed now in master. I've extended also the test
shadow-test06-literal-groups in order to cover the problem, and to
ensure it keeps fixed in the future.

Pls report whether everything works fine now for you; I haven't tested
multi-hop remote files.

Best regards, Michael.